#pragma once
#include <stdio.h>
#include "../ScriptHook/NativeFiberThread.h"
#include "../ScriptHook/ScriptingEnums.h"
#include "../ScriptHook/ScriptingTypes.h"

class CustomFiberThread : 
	public NativeFiberThread
{
private:
	Scripting::Player GetPlayer();
	Scripting::Ped GetPlayerPed();

	void PlayerLocation(void);
	void SavePlayerLocation(void);
	void SpawnCar(Scripting::eModel model);
	void ChangePlayerSkin(Scripting::eModel model);
    void TeleportToWaypoint(Scripting::Ped &ped);

protected:
	void RunScript();

public:
	CustomFiberThread();
};